CREATE TABLE cso_user_information (
    ACTIVE                          VARCHAR2(4)       NOT NULL,
    ALIAS                           VARCHAR2(400) ,
    BAN_UNTIL_DATE                  TIMESTAMP(6)  ,
    BAN_USER                        NUMBER        ,
    DATE_ADDED                      TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    DEFAULT_SUB_SITE_ID             VARCHAR2(128) ,
    EMAIL                           VARCHAR2(400) ,
    FIRST_NAME                      VARCHAR2(400) ,
    IS_DEFAULT_ADMINISTRATOR        VARCHAR2(4)   ,
    LAST_NAME                       VARCHAR2(400) ,
    LOCALE_ID                       VARCHAR2(128) ,
    LOGIN                           VARCHAR2(400)     NOT NULL,
    LOOKUP_CODE_ID                  VARCHAR2(128) ,
    OWNER_SITE_ID                   VARCHAR2(128)     NOT NULL,
    PDIT_CHALLENGE                  VARCHAR2(400) ,
    PDIT_CHALLENGE_HINT             VARCHAR2(400) ,
    RECORD_ID                       VARCHAR2(128) ,
    RECEIVE_PERFORM                 CHAR(4)       ,
    RECEIVE_ASSIGNED                CHAR(4)       ,
    REPUTATION_POINTS               NUMBER        ,
    SHOW_EMAIL                      NUMBER        ,
    SHOW_NAME                       NUMBER        ,
    SUBSCRIBE_ON_TOPIC_CREATION     CHAR(4)       ,
    SUBSCRIBE_ON_TOPIC_REPLY        CHAR(4)       ,
    ADMIN_USER                      CHAR(4)       ,
    USER_LEVEL                      VARCHAR2(128) ,
    USER_IMAGE                      VARCHAR2(400) ,
    SUBSCRIPTION_SCHEDULE           NUMBER        ,
    REPORTING_USER_GROUP_ID         VARCHAR2(128) ,
    URL_TOKEN                       VARCHAR2(128) ,
    URL_TOKEN_EXPIRATION            TIMESTAMP(6)  ,
    LAST_CHANGED_PDIT_CHALLENGE     TIMESTAMP(6)      NOT NULL,
    EXTERNAL_ID                     NUMBER        ,
    EXTERNAL_TYPE                   VARCHAR2(400) ,
    TYPE_LOOKUP_CODE_ID             VARCHAR2(128) ,
    ENABLE_NOTIFICATION_FLAG        VARCHAR2(4)       NOT NULL,
    NOTIFICATION_TYPE               VARCHAR2(4000),
    EMAIL_NOTIFICATION_FREQUENCY    VARCHAR2(200) ,
    AUTO_FOLLOW_FLAG                VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    ACTIVE                          VARCHAR2(4)       NOT NULL,
    ALIAS                           VARCHAR2(400) ,
    BAN_UNTIL_DATE                  TIMESTAMP(6)  ,
    BAN_USER                        NUMBER        ,
    DATE_ADDED                      TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    DEFAULT_SUB_SITE_ID             VARCHAR2(128) ,
    EMAIL                           VARCHAR2(400) ,
    FIRST_NAME                      VARCHAR2(400) ,
    IS_DEFAULT_ADMINISTRATOR        VARCHAR2(4)   ,
    LAST_NAME                       VARCHAR2(400) ,
    LOCALE_ID                       VARCHAR2(128) ,
    LOGIN                           VARCHAR2(400)     NOT NULL,
    LOOKUP_CODE_ID                  VARCHAR2(128) ,
    OWNER_SITE_ID                   VARCHAR2(128)     NOT NULL,
    PDIT_CHALLENGE                  VARCHAR2(400) ,
    PDIT_CHALLENGE_HINT             VARCHAR2(400) ,
    RECORD_ID                       VARCHAR2(128) ,
    RECEIVE_PERFORM                 CHAR(4)       ,
    RECEIVE_ASSIGNED                CHAR(4)       ,
    REPUTATION_POINTS               NUMBER        ,
    SHOW_EMAIL                      NUMBER        ,
    SHOW_NAME                       NUMBER        ,
    SUBSCRIBE_ON_TOPIC_CREATION     CHAR(4)       ,
    SUBSCRIBE_ON_TOPIC_REPLY        CHAR(4)       ,
    ADMIN_USER                      CHAR(4)       ,
    USER_LEVEL                      VARCHAR2(128) ,
    USER_IMAGE                      VARCHAR2(400) ,
    SUBSCRIPTION_SCHEDULE           NUMBER        ,
    REPORTING_USER_GROUP_ID         VARCHAR2(128) ,
    URL_TOKEN                       VARCHAR2(128) ,
    URL_TOKEN_EXPIRATION            TIMESTAMP(6)  ,
    LAST_CHANGED_PDIT_CHALLENGE     TIMESTAMP(6)      NOT NULL,
    EXTERNAL_ID                     NUMBER        ,
    EXTERNAL_TYPE                   VARCHAR2(400) ,
    TYPE_LOOKUP_CODE_ID             VARCHAR2(128) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    ENABLE_NOTIFICATION_FLAG        VARCHAR2(4)       NOT NULL,
    NOTIFICATION_TYPE               VARCHAR2(4000),
    EMAIL_NOTIFICATION_FREQUENCY    VARCHAR2(200) ,
    AUTO_FOLLOW_FLAG                VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cso_user_information PRIMARY KEY (RECORD_ID, RECORD_ID)
);
